Skip to main content
GET
/
v1
/
templates
List Templates
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/templates \
  --header 'X-Organization-id: <x-organization-id>'
{
  "items": [
    {
      "id": "0196b193-0dc6-7a30-abb5-4f1ce5e8f829",
      "outputFormat": "HTML",
      "description": "Statements",
      "fileName": "0196b193-0dc6-7a30-abb5-4f1ce5e8f829.tpl",
      "createdAt": "2025-05-08T20:25:26.726Z",
      "updatedAt": "2025-05-08T20:25:26.726Z"
    },
    {
      "id": "0196b1a4-a154-7adc-81c2-45fb1393c30d",
      "outputFormat": "TXT",
      "description": "CNAB",
      "fileName": "0196b1a4-a154-7adc-81c2-45fb1393c30d.tpl",
      "createdAt": "2025-05-08T20:44:38.612Z",
      "updatedAt": "2025-05-08T20:44:38.612Z"
    }
  ],
  "page": 1,
  "limit": 10,
  "total": 6
}

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Query Parameters

page
integer

The number of the page that you want to retrieve.

limit
integer

Maximum number of items returned per page.

outputFormat
enum<string>

The format of the generated output.

Available options:
HTML,
CSV,
PDF,
TXT,
XML
description
string

Briefly describes what the template is for or what it contains.

createdAt
string

Date when the template was created, in the yyyy-mm-dd format.

sort_order
enum<string>

Sort direction applied to the results, based on the creation date. Allowed values: asc or desc. Defaults to desc.

Available options:
asc,
desc

Response

The list of all templates available in the system.

items
object[]

List of templates returned for the current page.

page
integer

Number of the page returned.

limit
integer

Maximum number of records returned per page.

total
integer

Total number of templates available in the system.